Introducing Croc-a-Doc

Introducing Recover-My-Files.exe
Recover-My-Files.exe is a program that will recover lost/hidden/deleted Microsoft Office (tm) documents, including Word, Excel, Powerpoint, Publisher, Project, as well as Visio documents.
It is not a simple undelete - it is a complete recovery solution for your missing files, as it searches every corner of your disk drives for remnants of your missing files. It will recover files that you thought were deleted long ago from your computer system.
© Copyright CrocWare Pty Ltd, 2002


Copyright

www.RecoverMyFiles.com
by Crocware Pty Ltd (2002)
© Copyright Crocware Pty Ltd, 2002


Disclaimer
The software available for downloading through Internet sites and published by Crocware (the "Software") is provided pursuant to this license agreement. Crocware encourages you to know the possible risks involved in the download and use of the Software from the Internet. You are solely responsible for protecting yourself, your data, your systems and your hardware used in connection with this software. Crocware will not be liable for any damages suffered from the use of the Software.
BY USING THIS SOFTWARE, YOU EXPRESSLY AGREE THAT ALL RISKS ASSOCIATED WITH THE PERFORMANCE AND QUALITY OF THE SOFTWARE IS ASSUMED SOLELY BY YOU. CROCWARE SHALL NOT BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL OR CONSEQUENTIAL DAMAGES ARISING OUT OF THE USE OF OR INABILITY TO USE THE SOFTWARE, EVEN IF CROCWARE HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.THE SOFTWARE IS MADE AVAILABLE BY CROCWARE "AS IS" AND "WITH ALL FAULTS". CROCWARE DOES NOT MAKE ANY REPRESENTATIONS OR WARRANTIES OF ANY KIND, EITHER EXPRESS OR IMPLIED, CONCERNING THE QUALITY, SAFETY OR SUITABILITY OF THE SOFTWARE, INCLUDING WITHOUT LIMITATION ANY IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, OR NON-INFRINGEMENT. FURTHER, CROCWARE MAKES NO REPRESENTATIONS OR WARRANTIES AS TO THE TRUTH, ACCURACY OR COMPLETENESS OF ANY INFORMATION, STATEMENTS OR MATERIALS CONCERNING THE SOFTWARE THAT IS CONTAINED IN CROCWARE'S SOFTWARE DOWNLOAD SITE. IN NO EVENT WILL CROCWARE BE LIABLE FOR ANY INDIRECT, PUNITIVE, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES HOWEVER THEY MAY ARISE AND EVEN IF CROCWARE HAS BEEN PREVIOUSLY ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.


Frequently asked questions
For an update to date FAQ, visit the FAQ page on our webiste.
1) What should I use - the Wizard or Advanced?
For most purposes the Wizard is the easiest. Advanced adds searching for Unknown OLE types, which may be applicable in cases where you want to search for a particular filetype not yet supported (such as Wordperfect 7.0).
2) The program found some files, except that when it goes to save them it shows a registration screen.
You are using an unregistered version - although fully functional, the saving is disabled. To register visit the RecoverMyFiles site at http://www.recovermyfiles.com/ . The site accepts all forms of payment. A registration key is sent immediately via email, so you can save your current search results without re-searching.
3) RecoverMyFiles saved the files, but I can't read them.
Although RecoverMyFiles makes every attempt to retrieve your documents, sometimes only a small fraction of the file is recovered. This may be caused by some parts of the file being overwritten by the operating system, or by other files. In these cases very little can be done.
4) I can't see my A: drive.
RecoverMyFiles will only show the A: drive if a disk is in the drive. Insert a disk and click Rescan in Advanced Mode.


Getting Started
Recover-My-Files is easy to use. There are 2 modes: Wizard and Advanced. To start, and to do nearly all recovery's the Wizard is the easiest.
To start the recovery process you:
1. Run the Recover-My-Files. Please read the Disclaimer carefully. Read the step-by-step introduction, then press Next.
2. Select the disk drives that you want to search by clicking the appropriate check boxes
3. Click the 'Next' button.
4. Select the type of files you would like to search for by clicking the appropriate check boxes. The default will search all types (i.e. all are 'checked').
5. Click the 'Next button.
6. The search process will start. The searching may take many minutes, but the progress dialog will keep you informed of the status. Also, as files are discovered they will appear in the list. To abort the searching at anytime, click the 'Stop' button either on the Wizard dialog itself or on the progress dialog.
7. If any files can be recovered they will appear in the list. If possible the Author, Date Modified, and Title will appear. This will help in you determining the file you are interested in, as sometimes a great many file fragments will reside on your disk (much to the shock of many).
By default, all files will be saved, but if you are interested only in particular files, then select or deselect the files by clicking the check boxes of the individual files.
8. The program will save the files (if any were to be saved) to a destination requested by a Directory dialog.
Note: It is not possible to save to the recovered files to the same disk drive, as this may overwrite valuable (yet to be recovered) documents.
9. A summary will appear of the disk drives searched, number of files found and the files that were saved.


Using the Wizard
The Wizard is the easiest method of recovering your files. It is a four (4) step process and is outlined in detail in Getting Started .
The first page of the Wizard outlines the 4 step process
The 4 steps are:
1) Selecting the disk drives for searching.
2) Selecting the types of files you want to search for.
3) Selecting the found files (if any) to be saved.
4) Viewing the Summary.


Wizard Introduction
The first page of the Wizard outlines the 4 step process for file recovery.
After reading carefully, you can press the Next button the begin.


Wizard Disk Drives
The first step is to select the disk drives you want to search. This is done by clicking the small box next to the disk drive name. A tick will appear, and indicates that the program will search that particular drive. You can select multiple drives to search.
To proceed press the Next button. This button will only appear if a disk drive is selected.


Wizard File Types
The second step is to select the types of files Recover-My-Files will search for. This is done by clicking the small box next to the available file types. A tick will appear, and indicates that the program will search for that type of file. You can select multiple types. The default setting will search for all.
To proceed press the Next button.


Wizard Searching
The program will search for the selected drives for the desired files. This process may take many minutes depending on the size and number of the disk drives, as well as the speed of the computer.
The progress bar will keep you informed of the progress.
You can abort the search anytime by pressing the Stop button.
As the search progress's, and items are found, they will appear in the list . In some cases, if the information is available, the filename, title, author and modified date will appear.


Wizard File List
Once the search is completed, or the user has aborted the search, the program will list all found files.
A file will be saved if the checkbox next to the filename is checked. By default the program will check all boxes, that is, it will save all files. To deselect a file from being saved, click the checkbox until it is unchecked.
Until the Next button is pressed, no files have yet been saved. To save the files press the Next button.
The program will ask you to select the destination of the saved files.
Note: It is not possible to save to the recovered files to the same disk drive, as this may overwrite valuable (yet to be recovered) documents.
Press the Next button to review the search results.


Wizard Summary
The final stage of the recovery process is a summary page. It list what disk drives were search, how many files were found, and how many files were saved.


Advanced

The Wizard performs nearly all the available file recovery options, but the Advanced dialog allows users to monitor the progress of the search using the logging window, as well as to search for unknown OLE file types and for files in User defined directories. These two options are available in the Options dialog by pressing Options.


Advanced Options

Advanced General Options
The Options dialog allows you the change the amount of logging in the Log window. There are currently only 2 states: None and Verbose.
The Options dialog also allows you select the file types to be searched, but unlike the Wizard, it will also search for Unknown OLE types (if selected).


Advanced Options

Advanced Search Folders

The Options dialog also allows you to include Windows specific directories (the TEMP and RECYCLE directories) in your search. Also there is the option to add your own specific directories. This is useful to search for files that have been renamed or misplaced. For example by adding the "C:\" directory to the list and selecting "Search Subdirectories" you can search your entrie c: disk drive for files.

NOTE: The program will remember the User Defined directories from session to session.